### Enumeration

# Pango ShowFlags

since: 1.44

#### Declaration

    flags Pango.ShowFlags

#### Description [src]

These flags affect how Pango treats characters that are normally not visible in the output.

Available since: 1.44

#### Members

`PANGO_SHOW_NONE`

  No special treatment for invisible characters.

  - Value: `0`
  - Nickname: `none`
  - Available since: 1.44
`PANGO_SHOW_SPACES`

  Render spaces, tabs and newlines visibly.

  - Value: `1`
  - Nickname: `spaces`
  - Available since: 1.44
`PANGO_SHOW_LINE_BREAKS`

  Render line breaks visibly.

  - Value: `2`
  - Nickname: `line-breaks`
  - Available since: 1.44
`PANGO_SHOW_IGNORABLES`

  Render default-ignorable Unicode characters visibly.

  - Value: `4`
  - Nickname: `ignorables`
  - Available since: 1.44